Runtime

## org.eclipse.gmf.runtime.common.core.util
Class Proxy

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.Proxy

Direct Known Subclasses:
  EObjectAdapter

    public abstract class Proxy

extends java.lang.Object

A proxy object that handles exceptions.

Constructor Summary
`protected` `Proxy(java.lang.Object realObject)` Constructs a new proxy for the specified object.

Method Summary
`boolean` `equals(java.lang.Object object)` Indicates whether some other object is "equal to" this proxy.
`java.lang.Object` `getRealObject()` Retrieves the value of the `realObject` instance variable.
`protected void` `handle(java.lang.Exception exception)` Handles the specified exception.
`int` `hashCode()` Retrieves a hash code value for this proxy.
`void` `setRealObject(java.lang.Object realObject)` Sets the value of the `realObject` instance variable.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Proxy

    protected Proxy(java.lang.Object realObject)

  Constructs a new proxy for the specified object.

  Parameters:
    `realObject` - The obect for which to create a proxy.

Method Detail

### getRealObject

    public java.lang.Object getRealObject()

  Retrieves the value of the `realObject` instance variable.

  Returns:
    The value of the `realObject` instance variable.

### setRealObject

    public void setRealObject(java.lang.Object realObject)

  Sets the value of the `realObject` instance variable.

  Parameters:
    `realObject` - The obect for which to create a proxy.

### handle

    protected void handle(java.lang.Exception exception)

  Handles the specified exception.

  Parameters:
    `exception` - The exception to be handled

### hashCode

    public final int hashCode()

  Retrieves a hash code value for this proxy. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code value for this proxy.
  See Also:
    `Object.hashCode()`

### equals

    public final boolean equals(java.lang.Object object)

  Indicates whether some other object is "equal to" this proxy.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - The reference object with which to compare.
  Returns:
    `true` if this proxy is the same as the object argument; `false` otherwise.
  See Also:
    `Object.equals(Object)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.